### File

`packages/core/schematics/add-eui-imports/selector-map.ts`

### Description

Hardcoded EUI selector map derived from selector-map.md. Each entry contains a parsed compound selector and the corresponding import metadata.

### Index

###### Properties
attributes classArray className element importPath

### Properties

attributes
`attributes: `string[]``
Type : `string[]`
Attribute selectors that must ALL be present

classArray
`classArray: `string | null``
Type : `string | null`
The CLASS array constant name (null if none exists)

className
`className: `string``
Type : `string`
The Angular class name

element
`element: `string | null``
Type : `string | null`
Element tag required (null = any element)

importPath
`importPath: `string``
Type : `string`
The ES import path

# results matching ""

# No results matching ""